<?php
namespace app\user\event;

use think\Controller;

class Admin extends Controller
{
	
	public function _initialize()
    {
		parent::_initialize();
	}

	public function index()
    {
        $items = [
            'theme'                => ['type'=>'select', 'value'=>config('user.theme'), 'option'=>DcThemeOption('user')],
            'theme_wap'            => ['type'=>'select', 'value'=>config('user.theme_wap'),'option'=>DcThemeOption('user')],
            'page_size'            => ['type'=>'number', 'value'=>config('user.page_size')],
            'title_login'          => ['type'=>'text', 'value'=>config('user.title_login')],
            'keywords_login'       => ['type'=>'text', 'value'=>config('user.keywords_login')],
            'description_login'    => ['type'=>'text', 'value'=>config('user.description_login')],
            'title_register'       => ['type'=>'text', 'value'=>config('user.title_login')],
            'keywords_register'    => ['type'=>'text', 'value'=>config('user.keywords_login')],
            'description_register' => ['type'=>'text', 'value'=>config('user.description_login')],
            'callback_secret'      => ['type'=>'text', 'value'=>config('user.callback_secret')],
            'callback_domains'     => ['type'=>'textarea', 'value'=>config('user.callback_domains'), 'rows'=>5],
        ];
        
        foreach($items as $key=>$value){
            $items[$key]['title']  = lang('user_'.$key);
            if(!isset($value['placeholder'])){
                $items[$key]['placeholder'] = lang('user_'.$key.'_placeholder');
            }
        }
        
        $this->assign('items', DcFormItems($items));
        
        return $this->fetch('user@admin/index');
	}
    
    public function update()
    {
        $status = \daicuo\Op::write(
            input('post.'),
            input('module/s','user'), 
            input('controll/s','system'),
            input('action/s','config'),
            input('order/d',0),
            input('autoload/s','yes')
        );
		if( !$status ){
		    $this->error(lang('fail'));
        }
        $this->success(lang('success'));
	}
	
}