<?php
namespace app\user\loglic;

class Log
{
    private $error = '';
    
    public function getError()
    {
        return $this->error;
    }

    /**
     * 增加用户积分操作日志
     * @param int $userId 用户ID
     * @param int $logValue 增减值
     * @param string $logControll 模块名
     * @param string $logAction 操作名
     * @return int 影响条数
     */
    public function userScoreSet($userId=0, $logValue=0, $logControll='recharge', $logAction='save')
    {
        $data = [];
        $data['log_user_id']  = $userId;
        $data['log_info_id']  = 0;
        $data['log_value']    = $logValue;
        $data['log_module']   = 'user';
        $data['log_controll'] = $logControll;
        $data['log_action']   = $logAction;
        $data['log_type']     = 'userScore';
        $data['log_name']     = lang('log/user/'.$logControll.'/'.$logAction);
        return model('common/Log','loglic')->save($data);
    }
    
    public function userScoreSelect(){
        
    }
}